Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gdk::EventExpose Class Reference

A GdkEventExpose C++ wrapper class. More...

`#include <xfc/gdk/events.hh>`

Inheritance diagram for Xfc::Gdk::EventExpose:

List of all members.

## Public Member Functions

Accessors

- GdkEventExpose * gdk_event_expose () const
    Get a pointer to the GdkEventExpose structure.
- const Rectangle & area () const
    Returns the bounding box of region.
- Pointer< Region > region () const
    Returns the region that needs to be redrawn.
- int count () const
    Returns the number of contiguous EXPOSE events following this one.

## Detailed Description

A GdkEventExpose C++ wrapper class.

An EventExpose is generated when all or part of a window becomes visible and needs to be redrawn.

The event type is EXPOSE.

## Member Function Documentation

int Xfc::Gdk::EventExpose::count | ( |  | ) | const

| Returns the number of contiguous EXPOSE events following this one. The only use for this is "exposure compression", i.e. handling all contiguous EXPOSE events in one go, though GDK performs some exposure compression so this is not normally needed.

The documentation for this class was generated from the following file:

- events.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3